CVE-2022-31028

Uncontrolled Resource Consumption in go/github.com/minio/minio

Identifiers

CVE-2022-31028, GHSA-qrpr-r3pw-f636

Package Slug

go/github.com/minio/minio

Vulnerability

Uncontrolled Resource Consumption

Description

MinIO is a multi-cloud object storage solution. Starting with version RELEASE.2019-09-25T18-25-51Z and ending with version RELEASE.2022-06-02T02-11-04Z, MinIO is vulnerable to an unending go-routine buildup while keeping connections established due to HTTP clients not closing the connections. Public-facing MinIO deployments are most affected. Users should upgrade to RELEASE.2022-06-02T02-11-04Z to receive a patch. One possible workaround is to use a reverse proxy to limit the number of connections being attempted in front of MinIO, and actively rejecting connections from such malicious clients.

Affected Versions

All versions starting from v0.0.0-20190925014726-c8fbc943295a before v0.0.0-20220602021104-be6ccd129d3e

Solution

Upgrade to version v0.0.0-20220602021104-be6ccd129d3e or above.

Last Modified

2022-06-15

source